Package org.eclipse.remote.core

## Class RemoteConnectionPropertyTester

- java.lang.Object
- - org.eclipse.core.expressions.PropertyTester
  - - org.eclipse.remote.core.RemoteConnectionPropertyTester

All Implemented Interfaces:
  `org.eclipse.core.expressions.IPropertyTester`

    public class RemoteConnectionPropertyTester
    extends org.eclipse.core.expressions.PropertyTester

Since:
  2.1

### Constructor Summary

Constructors
`RemoteConnectionPropertyTester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test​(Object receiver, String property, Object[] args, Object expectedValue)`

### Methods inherited from class org.eclipse.core.expressions.PropertyTester

`handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteConnectionPropertyTester

    public RemoteConnectionPropertyTester()

### Method Detail

#### test

    public boolean test​(Object receiver,
                        String property,
                        Object[] args,
                        Object expectedValue)